// variables
  --close-area-background

  --spacing

#modal
  background: var( --close-area-background )

  position: fixed
  top: 0
  left: 0

  width: 100%
  height: 100vh

  display: flex
  flex-direction: column
  justify-content: center
  align-items: center

  .window
    max-width: 70%
    max-height: 70vh

    min-width: 50%
    max-width: 80%

    display: flex
    flex-direction: column

    main
      padding: var( --spacing )

  &.no-padding
    .window
      main
        padding: 0

  &.fullscreen
    .window
      width: 100%
      max-width: 100%
      height: 100vh
      max-height: 100vh

  &.bottom
    justify-content: flex-end

    .window
      width: 100%
      max-width: 100%
      max-height: 40vh
